Cyberduck Mountain Duck CLI

#1047 closed enhancement (wontfix)

cache of directory listings needed for resume to be useful

Reported by: toomanyhandles Owned by: dkocher
Priority: normal Milestone: 2.8
Component: core Version: 2.7.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

latest Cyberduck as of 02/23/07, 10.4.8, connectiong to OpenSSH on NetBSD server for sftp transfers.

6 gigs of data in 5 directories (/home users), over wireless, so sometimes disconnects happen. When a disconnect happens, instead of being able to handily resume, it has to parse the entire remote file structure for direcotry listings again. It takes _so_ long to do this, that I've not had time to wait and watch, I am not even convinced that resume (green button) works properly, it could be starting completely from scratch again, based on the total I've got downloaded so far (seems like I've done the first 2 gigs repeatedly, perhaps....

Shouldn't the directory listing get cached so a resume can handily resume? seem to me that is the way ncftp3 and other work in cases of a disconnect and a resume command is issued...

Change History (3)

comment:1 Changed on Feb 24, 2007 at 4:40:14 PM by dkocher

  • Component changed from sftp to core
  • Type changed from defect to enhancement

comment:2 Changed on Mar 27, 2007 at 9:39:06 AM by dkocher

  • Milestone set to 2.8
  • Status changed from new to assigned

comment:3 Changed on Apr 17, 2007 at 1:10:14 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed

Caching takes up too much memory.

Note: See TracTickets for help on using tickets.
swiss made software